FMIN(3)

NAME
fmin, fminf, fminl - determine minimum of two floating-point numbers

SYNOPSIS
#include <math.h>

double fmin(double x, double y);
float fminf(float x, float y);
long double fminl(long double x, long double y);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

fmin(), fminf(), fminl():
    _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
These functions return the lesser value of x and y.

RETURN VALUE
These functions return the minimum of x and y. If one argument is a NaN, the other argument is returned. If both arguments are NaN, a NaN is returned.

ERRORS
No errors occur.

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES

  Multithreading (see pthreads(7))
The fmin(), fminf(), and fminl() functions are thread-safe.

CONFORMING TO
C99, POSIX.1-2001.

SEE ALSO
fmax(3)

COLOPHON
This page is part of release 3.57 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.